public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/platformdirs/
Date: Sun, 30 Jul 2023 17:51:36 +0000 (UTC)	[thread overview]
Message-ID: <1690739490.cee8e655e63ec803c34a4406f46f08984c9068df.mgorny@gentoo> (raw)

commit:     cee8e655e63ec803c34a4406f46f08984c9068df
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 30 17:45:28 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 30 17:51:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cee8e655

dev-python/platformdirs: Bump to 3.10.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/platformdirs/Manifest                   |  1 +
 dev-python/platformdirs/platformdirs-3.10.0.ebuild | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/platformdirs/Manifest b/dev-python/platformdirs/Manifest
index c938047ff3c8..6755c176f016 100644
--- a/dev-python/platformdirs/Manifest
+++ b/dev-python/platformdirs/Manifest
@@ -1,3 +1,4 @@
+DIST platformdirs-3.10.0.tar.gz 19203 BLAKE2B 951568733e4c3324d5817b3d9451aa5cc1d08afcce690a574357551f4452192cc98d406c6fc5c7d65d0a1f1d6111cb39a0877994e52021652c8c054add54f258 SHA512 39c068dad3fe6ec85247a8957c0fcfb27207e78041686a0231d836eeb431bba82583e2fcb609903bb0f479cd04e4c7866b6126e52a708e7e71eed7631bd121b0
 DIST platformdirs-3.8.0.tar.gz 18451 BLAKE2B cac717c3968fd20b7bdac464443cedcdc50b04b732ae8a212fcb946170ad1553ffae82cbdca05c2cf01ebbc4383216cd0f0afe84cddc2ce6107f10fd40213542 SHA512 64937f3e9e03a9ec8dc2068777dfe553ec09cef62ce53a753608bd9a73e0afaa4489c98046e7b4b3fdbded237cf2813bfd306a6d5ad5788031b6857d8d4fa430
 DIST platformdirs-3.8.1.tar.gz 18533 BLAKE2B d1d669fe76e52637f59c32ddb93920988821a1f1720d6b91042f80abedafc1d6dbcd5f744f22f5502121dc0b12285001cbde63e923e8159f139342a9497459e2 SHA512 85d7781e4ef0755bf9a7a4d90b92ea06f497081ec4c5438780f12876a1006b2e591c1b182f6648cad19039d1bd7611cf0c2215015653bafbad2cc529f27d94e7
 DIST platformdirs-3.9.1.tar.gz 18836 BLAKE2B d673573005e97895e4d665e1539805be7c4355d8de166481625f76fab250779e8efa81d86374fc388b24d8cc8d892f61b6dda113cdbb9419fff3357006c9b7e6 SHA512 c41d8be17c9336b5eba9dc15beb2d6db4b53d2ac06c51439542490019e25c091351c266f11fc4998b8eef00eb91399c464ac59b318bcd1ef14ebbd8350ae2c50

diff --git a/dev-python/platformdirs/platformdirs-3.10.0.ebuild b/dev-python/platformdirs/platformdirs-3.10.0.ebuild
new file mode 100644
index 000000000000..70e821d796fb
--- /dev/null
+++ b/dev-python/platformdirs/platformdirs-3.10.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
+HOMEPAGE="
+	https://pypi.org/project/platformdirs/
+	https://github.com/platformdirs/platformdirs/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+	test? (
+		dev-python/appdirs[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+	grep -q 'build-backend = "hatchling' pyproject.toml ||
+		die "Upstream changed build-backend, recheck"
+	# write a custom pyproject.toml to ease setuptools bootstrap
+	cat > pyproject.toml <<-EOF || die
+		[build-system]
+		requires = ["flit_core >=3.2,<4"]
+		build-backend = "flit_core.buildapi"
+
+		[project]
+		name = "${PN}"
+		version = "${PV}"
+		description = 'A small Python package for determining appropriate platform-specific dirs, e.g. a "user data dir".'
+	EOF
+	# sigh
+	cat > src/platformdirs/version.py <<-EOF || die
+		__version__ = version = '${PV}'
+		__version_tuple__ = version_tuple = (${PV//./, })
+	EOF
+}


             reply	other threads:[~2023-07-30 17:51 UTC|newest]

Thread overview: 125+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-30 17:51 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-05  7:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/platformdirs/ Michał Górny
2024-10-05  7:22 Sam James
2024-09-28 12:04 Michał Górny
2024-09-28 11:47 Arthur Zamarin
2024-09-18 14:03 Michał Górny
2024-09-14  6:27 Michał Górny
2024-09-09  2:24 Michał Górny
2024-09-08  2:52 Michał Górny
2024-06-01  8:19 Michał Górny
2024-06-01  8:09 Arthur Zamarin
2024-05-17  8:23 Michał Górny
2024-05-17  8:23 Michał Górny
2024-05-16 15:28 Michał Górny
2024-04-24 13:42 Michał Górny
2024-02-14 12:36 Michał Górny
2024-02-14 12:26 Michał Górny
2024-01-31  6:59 Michał Górny
2023-12-20 15:51 Michał Górny
2023-12-20 15:49 Michał Górny
2023-12-05  4:32 Michał Górny
2023-11-10 21:11 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:08 Arthur Zamarin
2023-10-02 18:35 Arthur Zamarin
2023-08-11 19:08 Michał Górny
2023-08-11 19:03 Arthur Zamarin
2023-07-16  3:06 Michał Górny
2023-07-07  3:18 Michał Górny
2023-07-07  3:15 Michał Górny
2023-07-07  2:14 Sam James
2023-06-23  5:35 Michał Górny
2023-06-21  4:14 Michał Górny
2023-06-19  4:58 Michał Górny
2023-06-10 14:44 Michał Górny
2023-06-10  4:40 Michał Górny
2023-05-29  4:37 Michał Górny
2023-05-28 18:56 Arthur Zamarin
2023-05-23 15:42 Michał Górny
2023-05-12  2:55 Michał Górny
2023-04-28  5:56 Michał Górny
2023-04-27  3:10 Michał Górny
2023-04-26  5:36 Michał Górny
2023-04-22 16:12 Michał Górny
2023-04-22 10:53 Sam James
2023-03-26  3:02 Michał Górny
2023-03-17 15:58 Michał Górny
2023-03-17 15:52 Arthur Zamarin
2023-03-11 18:17 Michał Górny
2023-03-11  6:55 Michał Górny
2023-03-07 16:42 Fabian Groffen
2023-03-04  5:48 Michał Górny
2023-02-19  4:04 Michał Górny
2023-02-13  3:31 Matt Turner
2023-01-31 13:16 Michał Górny
2023-01-31 13:02 Sam James
2023-01-19  8:09 Joshua Kinard
2023-01-16 18:21 Michał Górny
2023-01-08 20:13 Michał Górny
2023-01-08 18:04 Arthur Zamarin
2022-12-29  5:22 Michał Górny
2022-12-28 19:11 Arthur Zamarin
2022-12-10  9:09 Michał Górny
2022-12-10  8:59 Arthur Zamarin
2022-12-07 15:59 Michał Górny
2022-11-13 18:57 Michał Górny
2022-11-07  5:54 Michał Górny
2022-06-14  5:12 Michał Górny
2022-06-13 21:24 Jakov Smolić
2022-06-13 16:29 Sam James
2022-06-13 10:22 Agostino Sarubbo
2022-06-13 10:21 Agostino Sarubbo
2022-06-13  9:46 Agostino Sarubbo
2022-06-13  7:10 Agostino Sarubbo
2022-06-13  7:09 Agostino Sarubbo
2022-05-12 10:40 Michał Górny
2022-05-11 17:54 Michał Górny
2022-05-11 17:24 Arthur Zamarin
2022-05-11 17:24 Arthur Zamarin
2022-05-11 17:15 Arthur Zamarin
2022-05-11 17:15 Arthur Zamarin
2022-05-11 17:13 Arthur Zamarin
2022-05-11 17:13 Arthur Zamarin
2022-05-11 17:13 Arthur Zamarin
2022-05-11 17:13 Arthur Zamarin
2022-05-11 17:13 Arthur Zamarin
2022-05-11  8:32 James Le Cuirot
2022-05-11  7:25 WANG Xuerui
2022-05-11  5:20 Jakov Smolić
2022-05-10 16:27 Michał Górny
2022-03-15 14:26 Michał Górny
2022-03-15 13:07 Jakov Smolić
2022-02-20 14:03 Michał Górny
2022-02-09 19:45 Michał Górny
2022-01-27 12:34 Michał Górny
2022-01-26 20:18 Jakov Smolić
2021-12-26 18:49 Arthur Zamarin
2021-10-31 20:29 Michał Górny
2021-10-15 19:11 Sam James
2021-09-25 22:00 Michał Górny
2021-09-25 22:00 Michał Górny
2021-09-25 19:53 Sam James
2021-09-25 13:23 Michał Górny
2021-09-23  8:15 James Le Cuirot
2021-09-08  0:42 Sam James
2021-09-06 23:38 Sam James
2021-09-06 17:29 Sam James
2021-09-06  5:40 Agostino Sarubbo
2021-09-06  0:15 Sam James
2021-09-05 20:07 Agostino Sarubbo
2021-09-05 20:04 Agostino Sarubbo
2021-09-05 20:01 Agostino Sarubbo
2021-09-05  6:02 Sam James
2021-08-31  7:56 Michał Górny
2021-08-22  8:01 Michał Górny
2021-08-06 20:51 Sam James
2021-08-06 20:51 Sam James
2021-08-06 20:49 Sam James
2021-08-04 18:19 Marek Szuba
2021-08-02  3:58 Sam James
2021-08-01 20:30 Matt Turner
2021-07-31 22:26 Joshua Kinard
2021-07-28 15:58 Sergei Trofimovich
2021-07-27  6:19 Sergei Trofimovich
2021-07-16  7:10 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690739490.cee8e655e63ec803c34a4406f46f08984c9068df.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox